Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface ConfigurationMBean

All Known Subinterfaces:
  ApplicationMBean, BridgeDestinationCommonMBean, BridgeDestinationMBean, weblogic.management.configuration.ClassDeploymentMBean, ClusterMBean, COMMBean, ComponentMBean, ConnectorComponentMBean, DeploymentMBean, DomainLogFilterMBean, DomainMBean, EJBComponentMBean, EJBContainerMBean, ExecuteQueueMBean, IIOPMBean, JDBCConnectionPoolMBean, JDBCDataSourceFactoryMBean, JDBCDataSourceMBean, JDBCMultiPoolMBean, JDBCTxDataSourceMBean, JMSBridgeDestinationMBean, JMSConnectionConsumerMBean, JMSConnectionFactoryMBean, JMSDestCommonMBean, JMSDestinationKeyMBean, JMSDestinationMBean, JMSDistributedDestinationMBean, JMSDistributedDestinationMemberMBean, JMSDistributedQueueMBean, JMSDistributedQueueMemberMBean, JMSDistributedTopicMBean, JMSDistributedTopicMemberMBean, JMSFileStoreMBean, JMSJDBCStoreMBean, JMSQueueMBean, JMSServerMBean, JMSSessionPoolMBean, JMSStoreMBean, JMSTemplateMBean, JMSTopicMBean, JMSVirtualDestinationMBean, JTAMBean, KernelMBean, LogMBean, MachineMBean, MailSessionMBean, MessagingBridgeMBean, NetworkAccessPointMBean, NetworkChannelMBean, NodeManagerMBean, RMCFactoryMBean, SecurityConfigurationMBean, SecurityMBean, ServerMBean, ServerStartMBean, ShutdownClassMBean, SNMPAgentMBean, SNMPAttributeChangeMBean, SNMPCounterMonitorMBean, SNMPGaugeMonitorMBean, SNMPJMXMonitorMBean, SNMPLogFilterMBean, SNMPProxyMBean, SNMPStringMonitorMBean, SNMPTrapDestinationMBean, SNMPTrapSourceMBean, SSLMBean, StartupClassMBean, TargetMBean, VirtualHostMBean, WebAppComponentMBean, WebDeploymentMBean, WebServerMBean, WebServiceComponentMBean, WLECConnectionPoolMBean, WTCExportMBean, WTCImportMBean, WTCLocalTuxDomMBean, WTCPasswordMBean, WTCRemoteTuxDomMBean, WTCResourcesMBean, WTCServerMBean, WTCtBridgeGlobalMBean, WTCtBridgeRedirectMBean, XMLEntityCacheMBean, XMLEntitySpecRegistryEntryMBean, XMLParserSelectRegistryEntryMBean, XMLRegistryEntryMBean, XMLRegistryMBean

public interface ConfigurationMBean
extends WebLogicMBean

The tagging interface for configuration MBeans.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Method Summary
`void` | `addLinkMbeanAttribute(java.lang.String attribName, javax.management.ObjectName on)`
`java.lang.String` | `getNotes()` Optional information that you can include to describe this configuration.
`boolean` | `isPersistenceEnabled()` Indicates whether this bean should ever written to the repository.
`void` | `setNotes(java.lang.String notes)`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getNotes

    public java.lang.String getNotes()

  Optional information that you can include to describe this configuration.

  A dynamic MBean attribute

### setNotes

    public void setNotes(java.lang.String notes)
                  throws javax.management.InvalidAttributeValueException,
                         DistributedManagementException

### isPersistenceEnabled

    public boolean isPersistenceEnabled()

  Indicates whether this bean should ever written to the repository. This is a dynamic version of the nonPersistent tag, which specifies that the class of bean shouldn't be persisted. This attribute just states whether a particular instance should be persisted. Care should be taken that if an MBean has this set to false, then any MBeans that reference it should also not be persisted.

  A non-configurable MBean attribute.
  Default Value: true

### addLinkMbeanAttribute

    public void addLinkMbeanAttribute(java.lang.String attribName,
                                      javax.management.ObjectName on)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference